## AtspiAccessible AtspiAccessible — The base interface which is implemented by all accessible objects. |

## Functions

gchar * | atspi_role_get_name ()
gchar * | atspi_accessible_get_name ()
gchar * | atspi_accessible_get_description ()
AtspiAccessible * | atspi_accessible_get_parent ()
gint | atspi_accessible_get_child_count ()
AtspiAccessible * | atspi_accessible_get_child_at_index ()
gint | atspi_accessible_get_index_in_parent ()
GArray * | atspi_accessible_get_relation_set ()
AtspiRole | atspi_accessible_get_role ()
gchar * | atspi_accessible_get_role_name ()
gchar * | atspi_accessible_get_localized_role_name ()
AtspiStateSet * | atspi_accessible_get_state_set ()
GHashTable * | atspi_accessible_get_attributes ()
GArray * | atspi_accessible_get_attributes_as_array ()
gchar * | atspi_accessible_get_toolkit_name ()
gchar * | atspi_accessible_get_toolkit_version ()
AtspiAccessible * | atspi_accessible_get_application ()
AtspiAction * | atspi_accessible_get_action ()
AtspiCollection * | atspi_accessible_get_collection ()
AtspiComponent * | atspi_accessible_get_component ()
AtspiDocument * | atspi_accessible_get_document ()
AtspiEditableText * | atspi_accessible_get_editable_text ()
AtspiHyperlink * | atspi_accessible_get_hyperlink ()
AtspiHypertext * | atspi_accessible_get_hypertext ()
AtspiImage * | atspi_accessible_get_image ()
AtspiSelection * | atspi_accessible_get_selection ()
AtspiTable * | atspi_accessible_get_table ()
AtspiText * | atspi_accessible_get_text ()
AtspiValue * | atspi_accessible_get_value ()
GArray * | atspi_accessible_get_interfaces ()

## Types and Values

| AtspiAccessible
struct | AtspiAccessibleClass

## Object Hierarchy

        GObject
        ╰── AtspiObject
            ╰── AtspiAccessible

## Implemented Interfaces

AtspiAccessible implements AtspiAction, AtspiCollection, AtspiComponent, AtspiDocument, AtspiEditableText, AtspiHypertext, AtspiImage, AtspiSelection, AtspiTable, AtspiTableCell, AtspiText and AtspiValue.

## Description

The base interface which is implemented by all accessible objects. All objects support interfaces for querying their contained 'children' and position in the accessible-object hierarchy, whether or not they actually have children.

## Functions

### atspi_role_get_name ()

    gchar *
    atspi_role_get_name (AtspiRole role);

Gets a localizable string that indicates the name of an AtspiRole.

<em>DEPRECATED.</em>

#### Parameters

role | an AtspiRole object to query. |

#### Returns

a localizable string name for an AtspiRole enumerated type.

### atspi_accessible_get_name ()

    gchar *
    atspi_accessible_get_name (AtspiAccessible *obj,
                               GError **error);

Gets the name of an AtspiAccessible object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string indicating the name of the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_description ()

    gchar *
    atspi_accessible_get_description (AtspiAccessible *obj,
                                      GError **error);

Gets the description of an AtspiAccessible object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string describing the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_parent ()

    AtspiAccessible *
    atspi_accessible_get_parent (AtspiAccessible *obj,
                                 GError **error);

Gets an AtspiAccessible object's parent container.

#### Parameters

obj | a pointer to the AtspiAccessible object to query. |

#### Returns

a pointer to the AtspiAccessible object which contains the given AtspiAccessible instance, or NULL if the `obj` has no parent container.

[nullable][transfer full]

### atspi_accessible_get_child_count ()

    gint
    atspi_accessible_get_child_count (AtspiAccessible *obj,
                                      GError **error);

Gets the number of children contained by an AtspiAccessible object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a long indicating the number of AtspiAccessible children contained by an AtspiAccessible object or -1 on exception.

### atspi_accessible_get_child_at_index ()

    AtspiAccessible *
    atspi_accessible_get_child_at_index (AtspiAccessible *obj,
                                         gint child_index,
                                         GError **error);

Gets the AtspiAccessible child of an AtspiAccessible object at a given index.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |
child_index | a long indicating which child is specified. |

#### Returns

a pointer to the AtspiAccessible child object at index `child_index` or NULL on exception.

[transfer full]

### atspi_accessible_get_index_in_parent ()

    gint
    atspi_accessible_get_index_in_parent (AtspiAccessible *obj,
                                          GError **error);

Gets the index of an AtspiAccessible object within its parent's AtspiAccessible children list.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a glong indicating the index of the AtspiAccessible object in its parent, or -1 if `obj` has no containing parent or on exception.

### atspi_accessible_get_relation_set ()

    GArray *
    atspi_accessible_get_relation_set (AtspiAccessible *obj,
                                       GError **error);

Gets the set of AtspiRelation objects which describes this AtspiAccessible object's relationships with other AtspiAccessible objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a GArray of AtspiRelation pointers or NULL on exception.

[element-type AtspiRelation*][transfer full]

### atspi_accessible_get_role ()

    AtspiRole
    atspi_accessible_get_role (AtspiAccessible *obj,
                               GError **error);

Gets the UI role played by an AtspiAccessible object. This role's name can be obtained via `atspi_accessible_get_role_name()`.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

the AtspiRole of an AtspiAccessible object.

### atspi_accessible_get_role_name ()

    gchar *
    atspi_accessible_get_role_name (AtspiAccessible *obj,
                                    GError **error);

Gets a UTF-8 string corresponding to the name of the role played by an object. This method will return useful values for roles that fall outside the enumeration used in `atspi_accessible_get_role()`.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string specifying the type of UI role played by an AtspiAccessible object.

### atspi_accessible_get_localized_role_name ()

    gchar *
    atspi_accessible_get_localized_role_name
                                   (AtspiAccessible *obj,
                                    GError **error);

Gets a UTF-8 string corresponding to the name of the role played by an object, translated to the current locale. This method will return useful values for roles that fall outside the enumeration used in `atspi_accessible_getRole()`.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a localized, UTF-8 string specifying the type of UI role played by an AtspiAccessible object.

### atspi_accessible_get_state_set ()

    AtspiStateSet *
    atspi_accessible_get_state_set (AtspiAccessible *obj);

Gets the states currently held by an object.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a pointer to an AtspiStateSet representing an object's current state set.

[transfer full]

### atspi_accessible_get_attributes ()

    GHashTable *
    atspi_accessible_get_attributes (AtspiAccessible *obj,
                                     GError **error);

Gets the AttributeSet representing any assigned name-value pair attributes or annotations for this object. For typographic, textual, or textually-semantic attributes, see atspi_text_get_attributes instead.

#### Parameters

obj | The AtspiAccessible being queried. |

#### Returns

The name-value-pair attributes assigned to this object.

[element-type gchar* gchar*][transfer full]

### atspi_accessible_get_attributes_as_array ()

    GArray *
    atspi_accessible_get_attributes_as_array
                                   (AtspiAccessible *obj,
                                    GError **error);

Gets a GArray representing any assigned name-value pair attributes or annotations for this object. For typographic, textual, or textually-semantic attributes, see atspi_text_get_attributes_as_array instead.

#### Parameters

obj | The AtspiAccessible being queried. |

#### Returns

The name-value-pair attributes assigned to this object.

[element-type gchar*][transfer full]

### atspi_accessible_get_toolkit_name ()

    gchar *
    atspi_accessible_get_toolkit_name (AtspiAccessible *obj,
                                       GError **error);

Gets the toolkit name for an AtspiAccessible object. Only works on application root objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string indicating the toolkit name for the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_toolkit_version ()

    gchar *
    atspi_accessible_get_toolkit_version (AtspiAccessible *obj,
                                          GError **error);

Gets the toolkit version for an AtspiAccessible object. Only works on application root objects.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

a UTF-8 string indicating the toolkit version for the AtspiAccessible object or NULL on exception.

### atspi_accessible_get_application ()

    AtspiAccessible *
    atspi_accessible_get_application (AtspiAccessible *obj,
                                      GError **error);

Gets the containing AtspiApplication for an object.

#### Parameters

obj | The AtspiAccessible being queried. |

#### Returns

the containing AtspiApplication instance for this object.

[transfer full]

### atspi_accessible_get_action ()

    AtspiAction *
    atspi_accessible_get_action (AtspiAccessible *obj);

`atspi_accessible_get_action` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_action_iface instead.

Gets the AtspiAction interface for an AtspiAccessible.

[rename-to atspi_accessible_get_action_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiAction interface instance, or NULL if `obj` does not implement AtspiAction.

[transfer full]

### atspi_accessible_get_collection ()

    AtspiCollection *
    atspi_accessible_get_collection (AtspiAccessible *obj);

`atspi_accessible_get_collection` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_collection_iface instead.

Gets the AtspiCollection interface for an AtspiAccessible.

[rename-to atspi_accessible_get_collection_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiCollection interface instance, or NULL if `obj` does not implement AtspiCollection.

[transfer full]

### atspi_accessible_get_component ()

    AtspiComponent *
    atspi_accessible_get_component (AtspiAccessible *obj);

`atspi_accessible_get_component` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_component_iface instead.

Gets the AtspiComponent interface for an AtspiAccessible.

[rename-to atspi_accessible_get_component_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiComponent interface instance, or NULL if `obj` does not implement AtspiComponent.

[transfer full]

### atspi_accessible_get_document ()

    AtspiDocument *
    atspi_accessible_get_document (AtspiAccessible *obj);

`atspi_accessible_get_document` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_document_iface instead.

Gets the AtspiDocument interface for an AtspiAccessible.

[rename-to atspi_accessible_get_document_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiDocument interface instance, or NULL if `obj` does not implement AtspiDocument.

[transfer full]

### atspi_accessible_get_editable_text ()

    AtspiEditableText *
    atspi_accessible_get_editable_text (AtspiAccessible *obj);

`atspi_accessible_get_editable_text` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_editable_text_iface instead.

Gets the AtspiEditableText interface for an AtspiAccessible.

[rename-to atspi_accessible_get_editable_text_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiEditableText interface instance, or NULL if `obj` does not implement AtspiEditableText.

[transfer full]

### atspi_accessible_get_hyperlink ()

    AtspiHyperlink *
    atspi_accessible_get_hyperlink (AtspiAccessible *obj);

Gets the AtspiHyperlink interface for an AtspiAccessible.

#### Parameters

obj | a pointer to the AtspiAccessible object on which to operate. |

#### Returns

the AtspiHyperlink object associated with the given AtspiAccessible, or NULL if not supported.

[transfer full]

### atspi_accessible_get_hypertext ()

    AtspiHypertext *
    atspi_accessible_get_hypertext (AtspiAccessible *obj);

`atspi_accessible_get_hypertext` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_hypertext_iface instead.

Gets the AtspiHypertext interface for an AtspiAccessible.

[rename-to atspi_accessible_get_hypertext_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiHypertext interface instance, or NULL if `obj` does not implement AtspiHypertext.

[transfer full]

### atspi_accessible_get_image ()

    AtspiImage *
    atspi_accessible_get_image (AtspiAccessible *obj);

`atspi_accessible_get_image` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_image_iface instead.

Gets the AtspiImage interface for an AtspiAccessible.

[rename-to atspi_accessible_get_image_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiImage interface instance, or NULL if `obj` does not implement AtspiImage.

[transfer full]

### atspi_accessible_get_selection ()

    AtspiSelection *
    atspi_accessible_get_selection (AtspiAccessible *obj);

`atspi_accessible_get_selection` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_selection_iface instead.

Gets the AtspiSelection interface for an AtspiAccessible.

[rename-to atspi_accessible_get_selection_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiSelection interface instance, or NULL if `obj` does not implement AtspiSelection.

[transfer full]

### atspi_accessible_get_table ()

    AtspiTable *
    atspi_accessible_get_table (AtspiAccessible *obj);

`atspi_accessible_get_table` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_table_iface instead.

Gets the AtspiTable interface for an AtspiAccessible.

[rename-to atspi_accessible_get_table_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiTable interface instance, or NULL if `obj` does not implement AtspiTable.

[transfer full]

### atspi_accessible_get_text ()

    AtspiText *
    atspi_accessible_get_text (AtspiAccessible *obj);

`atspi_accessible_get_text` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_text_iface instead.

Gets the AtspiTable interface for an AtspiAccessible.

[rename-to atspi_accessible_get_text_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiText interface instance, or NULL if `obj` does not implement AtspiText.

[transfer full]

### atspi_accessible_get_value ()

    AtspiValue *
    atspi_accessible_get_value (AtspiAccessible *obj);

`atspi_accessible_get_value` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_accessible_get_value_iface instead.

Gets the AtspiTable interface for an AtspiAccessible.

[rename-to atspi_accessible_get_value_iface]

#### Parameters

obj | a pointer to the AtspiAccessible instance to query. |

#### Returns

a pointer to an AtspiValue interface instance, or NULL if `obj` does not implement AtspiValue.

[transfer full]

### atspi_accessible_get_interfaces ()

    GArray *
    atspi_accessible_get_interfaces (AtspiAccessible *obj);

A set of pointers to all interfaces supported by an AtspiAccessible.

#### Parameters

obj | The AtspiAccessible to query. |

#### Returns

A GArray of strings describing the interfaces supported by the object. Interfaces are denoted in short-hand (i.e. "Component", "Text" etc.).

[element-type gchar*][transfer full]

## Types and Values

### AtspiAccessible

    typedef struct _AtspiAccessible AtspiAccessible;

### struct AtspiAccessibleClass

    struct AtspiAccessibleClass {
      AtspiObjectClass parent_class;
    };